package com.sw.common.accessory.server.service;

import com.sw.common.accessory.server.dto.DeterminationEchnologyDto;
import com.sw.common.accessory.server.entity.DeterminationEchnology;
import com.sw.common.mybatisplus.base.BaseService;

import com.sw.common.core.response.Result;

public interface DeterminationEchnologyService extends BaseService<DeterminationEchnology> {

    DeterminationEchnology findEchnologyByUniqueCode(String uniqueCode);
    DeterminationEchnology findEchnologyByAccessoryId(Long accessoryId);

    DeterminationEchnologyDto findById(Long id);
    DeterminationEchnology getEchnologyById(Long id);

    Result confirmAudit(DeterminationEchnologyDto dto, DeterminationEchnology entity);

    Result unConfirmAudit(DeterminationEchnologyDto dto, DeterminationEchnology entity);
    DeterminationEchnology findByInputBillNo(String billNo);
}
